package com.ejie.ab79.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab79.dao.DocumentosInspeccionDao;
import com.ejie.ab79.model.propuestaSancion.DocumentosInspeccion;

/**
 * SexoServiceImpl  
 * 
 *  
 */
@Service(value = "documentosInspeccionService")
public class DocumentosInspeccionServiceImpl implements DocumentosInspeccionService {

	@Autowired
	private DocumentosInspeccionDao documentosInspeccionDao;

	@Override
	public DocumentosInspeccion add(DocumentosInspeccion documentoInspeccion) {
		return this.documentosInspeccionDao.add(documentoInspeccion);
	}

	@Override
	public List<DocumentosInspeccion> obtenerEnviados(int idInspeccion) {
		return (List<DocumentosInspeccion>) this.documentosInspeccionDao.obtenerEnviados(idInspeccion);
	}

	@Override
	public void removeByIdInspeccion(Integer idInspeccion) {
		this.documentosInspeccionDao.removeByIdInspeccion(idInspeccion);
	}

}
